--- /dev/null
+sash for DEBIAN
+----------------------
+
+I found the latest version on http://www.tip.net.au/~dbell/
+
+Michael Meskes <meskes@debian.org>, Fri Jan 30 10:28:17 CET 1998
+
--- /dev/null
+sash (2.1-3) frozen unstable; urgency=low
+
+ * correct root shell if package is removed
+
+ -- Michael Meskes <meskes@debian.org> Fri, 20 Mar 1998 14:11:28 +0100
+
+sash (2.1-2) unstable; urgency=low
+
+ * Fixed postinst (#19584)
+ * Added -i option (#19656)
+
+ -- Michael Meskes <meskes@debian.org> Mon, 16 Mar 1998 15:23:44 +0100
+
+sash (2.1-1) unstable; urgency=low
+
+ * New upstream version: David incorporated most of my changes except that
+ he wants sash to print a message everytime it starts. But he has added
+ an option -q to get it quiet. I hope that solves the problem as well.
+
+ -- Michael Meskes <meskes@debian.org> Mon, 9 Mar 1998 13:42:33 +0100
+
+sash (2.0-3) unstable; urgency=low
+
+ * corrected argv handling for exec call (#18695)
+ * reworked postinst/prerm to make installation ask less questions
+
+ -- Michael Meskes <meskes@debian.org> Fri, 27 Feb 1998 08:57:00 +0100
+
+sash (2.0-2) unstable; urgency=low
+
+ * sash no longer prints a message every time you invoke it (#18580)
+
+ -- Michael Meskes <meskes@debian.org> Fri, 27 Feb 1998 08:57:00 +0100
+
+sash (2.0-1) unstable; urgency=low
+
+ * New upstream version
+
+ -- Michael Meskes <meskes@debian.org> Fri, 30 Jan 1998 10:25:59 +0100
+
+sash (1.0-3) unstable; urgency=low
+
+ * Added -c option which fixes the problem with su as well as bug (#17573).
+
+ -- Michael Meskes <meskes@debian.org> Thu, 29 Jan 1998 09:38:41 +0100
+
+sash (1.0-2) unstable; urgency=low
+
+ * Added section entry.
+
+ -- Michael Meskes <meskes@debian.org> Tue, 16 Dec 1997 11:05:51 +0100
+
+sash (1.0-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Michael Meskes <meskes@debian.org> Tue, 16 Dec 1997 11:05:51 +0100
+
+Local variables:
+mode: debian-changelog
+add-log-mailing-address: "meskes@debian.org"
+End:
--- /dev/null
+Source: sash
+Section: shells
+Priority: optional
+Maintainer: Michael Meskes <meskes@debian.org>
+Standards-Version: 2.4.0.0
+
+Package: sash
+Architecture: any
+Description: Stand-alone shell.
+ The purpose of this program is to make replacing of shared libraries
+ easy and safe. It does this by firstly being linked statically, and
+ secondly by including many of the standard utilities within itself.
--- /dev/null
+This package was debianized by Michael Meskes meskes@debian.org on
+Tue, 16 Dec 1997 11:05:51 +0100.
+
+It was downloaded from
+ftp://sunsite.unc.edu/pub/Linux/system/shells/sash.tar.z.
+
+The new upstream version can be found under http://www.tip.net.au/~dbell/.
+
+Copyright:
+
+ * Copyright (c) 1998 by David I. Bell
+ * Permission is granted to use, distribute, or modify this source,
+ * provided that this copyright notice remains intact.
--- /dev/null
+0 4 * * * root sash_maintenance
--- /dev/null
+bin
+usr/man/man1
+var/lib/sash
+
--- /dev/null
+<FILE> <Diverted to> <Packagename>
--- /dev/null
+#:OTHER:
+sash stream tcp nowait root /usr/sbin/tcpd /usr/sbin/sash
--- /dev/null
+# This is a configuration files for installing a .info menu
+# The Description to be placed into the directory
+DESCR="Description"
+
+# The section this info file should be placed in (Regexp) followed by
+# the new section name to be created if the Regexp does not match
+# (Optional. If not given the .info will be appended to the directory)
+#SECTION_MATCH="Regexp"
+#SECTION_NAME="New Section Name"
+
+# The file referred to from the Info directory
+FILE=sash.info
+
+# Optional. The files to be copied to /usr/info
+#FILES=*.info
--- /dev/null
+#! /bin/sh
+#
+# This file was automatically customized by debmake on Fri, 30 Jan 1998 10:25:59 +0100
+#
+# Written by Miquel van Smoorenburg <miquels@drinkel.ow.org>.
+# Modified for Debian GNU/Linux by Ian Murdock <imurdock@gnu.ai.mit.edu>.
+# Modified for Debian by Christoph Lameter <clameter@debian.org>
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/sash
+# The following value is extracted by debstd to figure out how to generate
+# the postinst script. Edit the field to change the way the script is
+# registered through update-rc.d (see the manpage for update-rc.d!)
+FLAGS="defaults 50"
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+ start)
+ start-stop-daemon --start --verbose --exec $DAEMON
+ ;;
+ stop)
+ start-stop-daemon --stop --verbose --exec $DAEMON
+ ;;
+ *)
+ echo "Usage: /etc/init.d/sash {start|stop}"
+ exit 1
+ ;;
+esac
+
+exit 0
--- /dev/null
+.TH NAME SECTION
+.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
+.\" other parms are allowed: see man(7), man(1)
+.SH NAME
+sash \- programs to do something
+.SH SYNOPSIS
+.B sash
+.I "[options] files ..."
+.br
+.B bar
+.I "[options] files ..."
+.SH "DESCRIPTION"
+This manual page documents briefly the
+.BR sash ,
+and
+.B bar
+commands.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+Instead, it has documentation in the GNU Info format; see below.
+.PP
+.B sash
+is a program that...
+.SH OPTIONS
+The programs follow the usual GNU command line syntax, with long
+options starting with two dashes (`-').
+A summary of options are included below.
+For a complete description, see the Info files.
+.TP
+.B \-h, \-\-help
+Show summary of options.
+.TP
+.B \-v, \-\-version
+Show version of program.
+.SH "SEE ALSO"
+The programs are documented fully by
+.IR "The Rise and Fall of a Fooish Bar" ,
+available via the Info system.
+.SH AUTHOR
+This manual page was written by Michael Meskes <meskes@topsystem.de>,
+for the Debian GNU/Linux system (but may be used by others).
--- /dev/null
+?package(sash):needs=X11|text|vc|wm section=Apps/see-menu-manual\
+ title="sash" command="/usr/bin/sash"
--- /dev/null
+#!/bin/sh
+
+rootshell=`awk -F: '/^root/ {print $7}' /etc/passwd`
+
+if [ "$rootshell" != "/bin/sash" ]
+then
+ echo "The best way to use sash is to install it as root's login shell. Currently"
+ echo "root's login shell is set to "$rootshell"."
+
+ while true
+ do
+ echo -n "Shall I make sash the login shell for root? [y/N] "
+ read input
+ if [ $input = "y" -o $input = "Y" ]
+ then
+ wd=1
+ break
+ elif [ $input = "n" -o $input = "N" ]
+ then
+ wd=0
+ break
+ elif [ ! $input ]
+ then
+ wd=0
+ break
+ else
+ echo "Please answer \`Y' or \`N'."
+ fi 2>/dev/null
+ done
+
+ if [ $wd = 1 ]
+ then
+ chsh -s /bin/sash root
+ echo $rootshell > /var/lib/sash/rootshell
+ fi
+fi
--- /dev/null
+#!/bin/sh
+
+if [ "$1" = "purge" -o "$1" = "remove" ]
+then
+
+ rootshell=`awk -F: '/root/ {print $7}' /etc/passwd`
+
+ if [ $rootshell == "/bin/sash" ]
+ then
+ chsh -s `cat /var/lib/sash/rootshell` root
+ /bin/rm -f /var/lib/sash/rootshell
+ fi
+fi
--- /dev/null
+#!/usr/bin/make -f
+# Made with the aid of debmake, by Christoph Lameter,
+# based on the sample debian/rules file for GNU hello by Ian Jackson.
+
+package=sash
+
+build:
+ $(checkdir)
+
+ make CFLAGS="-O2 -g -Wall -DHAVE_GZIP"
+ touch build
+
+clean:
+ $(checkdir)
+ -rm -f build
+ -make clean
+ -rm -f `find . -name "*~"`
+ -rm -rf debian/tmp debian/files* core debian/substvars
+
+binary-indep: checkroot build
+ $(checkdir)
+# There are no architecture-independent files to be uploaded
+# generated by this package. If there were any they would be
+# made here.
+
+binary-arch: checkroot build
+ $(checkdir)
+ -rm -rf debian/tmp
+ install -d debian/tmp
+ cd debian/tmp && install -d `cat ../dirs`
+ make install BINDIR=`pwd`/debian/tmp/bin MANDIR=`pwd`/debian/tmp/usr/man/man1
+# Must have debmake installed for this to work. Otherwise please copy
+# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
+ debstd README
+ dpkg-gencontrol
+ chown -R root.root debian/tmp
+ chmod -R go=rX debian/tmp
+ dpkg --build debian/tmp ..
+
+define checkdir
+ test -f debian/rules
+endef
+
+binary: binary-indep binary-arch
+
+checkroot:
+ $(checkdir)
+ test root = "`whoami`"
+
+.PHONY: binary binary-arch binary-indep clean checkroot
--- /dev/null
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# Site Directory Pattern Version Script
+sunsite.unc.edu /pub/Linux/Incomingu sash-*.tar.gz debian uupdate
{
const char * cp;
const char * singleCommand;
- BOOL quietFlag;
+ BOOL quietFlag, interactive;
char buf[PATHLEN];
singleCommand = NULL;
- quietFlag = FALSE;
+ quietFlag = interactive = FALSE;
/*
* Look for options.
/*
* Execute specified command.
*/
- if ((argc != 1) || singleCommand)
+ if ((argc != 1) || singleCommand || interactive)
usage();
singleCommand = *argv++;
break;
+ case 'i':
+ /*
+ * Be an interactive shell
+ */
+ if (singleCommand)
+ usage();
+
+ interactive = TRUE;
+ break;
+
case 'p':
/*
* Set the prompt string.
{
fprintf(stderr, "Stand-alone shell (version %s)\n", version);
fprintf(stderr, "\n");
- fprintf(stderr, "Usage: sash [-q] [-c command] [-p prompt]\n");
+ fprintf(stderr, "Usage: sash [-q] [-c command] [-p prompt] [-i]\n");
exit(1);
}